#include <stdlib.h>
#include <stdio.h>


/***************************************************
 ** Byte Deleter                                  **
 ** By Steven Arnow <s@rdw.se> 2012 for ~kqr      **
 **                                               **
 ** This code is released under the Public Domain **
 ***************************************************/


int main(int argc, char **argv) {
	unsigned int search;
	unsigned char c;

	if (argc <2) {
		fprintf(stderr, "Byte Deleter\n");
		fprintf(stderr, "Usage: %s <search for>\n", argv[0]);
		fprintf(stderr, "Reads from stdin and outputs to stdout\n");
		fprintf(stderr, "Argument are values in base 16 (00 to ff)\n");
		return -1;
	}

	sscanf(argv[1], "%x", (unsigned int *) &search);

	if (search > 255) {
		fprintf(stderr, "Error: bsr works in single bytes, arguments have to be within 0..255\n");
		return -1;
	}

	while (1) {
		c = fgetc(stdin);
		if (feof(stdin))
			return 0;
		if (c == search)
			continue;
		else
			fputc(c, stdout);
	}

	return 0;
}
